# $Id: smeserver-userpanels.spec,v 1.4 2021/08/25 01:05:22 terryfage Exp $
# Authority: dungog
# Name: Stephen Noble

Summary: Panels to let users to change server settings.
%define name smeserver-userpanels
Name: %{name}
%define version 11.0.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.dungog.net/wiki
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: smeserver-release >= 10
Requires: smeserver-formmagick >= 1.4.0-12
BuildRequires: smeserver-devtools >= 1.13.1-03
AutoReqProv: no

%description
Provides additinal userpanels that allows user settings to be altered.
Change password,Forward mail, Backup users home directory,
Delegate creation of users with restrictions.

%changelog
* Wed Apr 30 2025 Brian Read <brianr@koozali.org> 11.0.0-2.sme
- Add signal-event smanager-refreshg in spec file  [SME: 12992]
- And fix up initial panel and lex file

* Wed Apr 23 2025 Brian Read <brianr@koozali.org> 11.0.0-1.sme
- Add SM2 panel

* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.3-5.sme
- Fix e-smith references in smeserver-userpanels [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.3-4.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Aug 25 2021 Terry Fage <terryf@ozemail.com.au> 1.3-3.sme
- apply locale 2021-08-25 patch

* Tue Feb 23 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.3-2.sme
- add empty -update event [SME: 11080]

* Mon Nov 02 2020 michel begue <mab974@gmail.com> 1.3-1.sme
- First import to SME10 [SME: 11080]

* Wed Jun 22 2016 stephane de labrusse <stephdl@de-labrusse.fr> 1.1-5.sme
- Removed dungog software links

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.1-3.sme
- apply locale 2016-03-09 patch

* Fri Aug 22 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.1-2.sme
- cracklib depends of rpm architecture, solved that in userpanel-useraccounts
- [SME:8533]

* Wed Nov 13 2013 Daniel Berteaud <daniel@firewall-services.com> 1.1-1.sme
- Rebuild for SME9

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.0-34.sme
- apply locale 2013-07-14 patch

* Fri Sep 7 2012 Daniel Berteaud <daniel@firewall-services.com> 1.0-33.sme
- Check that a valid email address is given when delivery is not local [SME: 7095]

* Tue Mar 20 2012 SME Translation Server <translations@contribs.org> 1.0-32.el6
- apply locale 2012-03-20 patch

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 1.0-31.sme
- apply locale 2011-03-06 patch

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 1.0-30.sme
- apply locale 2010-05-23 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 1.0-29.sme
- apply locale 2010-03-02 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 1.0-28.sme
- apply locale 2009-10-27 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 1.0-27.sme
- apply locale 2009-08-24 patch

* Wed May 20 2009 SME Translation Server <translations@contribs.org> 1.0-26.sme
- apply locale 2009-05-20 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 1.0-25.sme
- apply locale 2009-04-27 patch

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-23
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Sun Nov 30 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-22
- Apply 30 Nov 2008 locale patch

* Thu Oct 16 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-21
- Apply 16 Oct 2008 locale patch

* Wed Oct 15 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-20
- Apply 15 Oct 2008 locale patch

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-19
- Apply 14 Oct 2008 locale patch

* Sat Sep 27 2008 Stephen Noble <support@dungog.net> - 1.2-26
- Apply locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-17
- Apply 1 July 2008 locale patch

* Fri Jun 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-16
- Apply 27 Jun 2008 locale patch

* Wed May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-15
- Apply 21 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-14
- Fixed locale issue with button not being translated in password panel [SME: 4310]
- Added 5 May 2008 locale patch from the translate engine

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-13
- Add common <base> tags to e-smith-formmagick's general

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-12
- Apply 22 April 2008 locale patch

* Tue Apr 1 2008 Shad L. Lords <slords@mail.com> 1.0-11
- Update to UTF-8 translations

* Fri Mar 14 2008 Stephen Noble <support@dungog.net> - 1.0-10
- Add requires for e-smith-formmagick for UTF-8 support [SME: 3858]

* Fri Mar 14 2008 Stephen Noble <support@dungog.net> - 1.0-9
- update locale 2008-03-14

* Fri Mar 07 2008 Stephen Noble <support@dungog.net> - 1.0-8
- prepare en lexicons for pootle translations

* Tue Dec 25 2007 Stephen Noble <support@dungog.net> 1.0-7
- add french translation, thanks Sylvain Gomez

* Thu Dec 6 2007 Stephen Noble <support@dungog.net> 1.0-6
- swedish translation, thanks Chrille

* Thu Dec 6 2007 Stephen Noble <support@dungog.net> 1.0-5
- remove Requires: smeserver-userpanel

* Mon Oct 29 2007 Stephen Noble <support@dungog.net> 1.0-4
- update spanish translations, thanks Normando Hall [SME 3503]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Mon Oct 30 2006  Stephen Noble <support@dungog.net>
- forwarding lexicon updated for de
- [1.0-3]

* Sun Mar 26 2006  Stephen Noble <support@dungog.net>
- forwarding and password lexicons updated for de
- fix, error in logs starting httpd-admin [sme 1991]
- [1.0-2]

* Sun Mar 26 2006  Stephen Noble <support@dungog.net>
- Userpanel-forwarding lexicons for de, fr
- Partial forwarding lexicons for es, it
- [1.0-1]

* Fri Mar 17 2006  Stephen Noble <support@dungog.net>
- FormMagick version for Userpanel-forward, english only
- Userpanel-password updated to current FM style
- [0.9-3]

* Wed Sep 21 2005  Stephen Noble <support@dungog.net>
- FormMagick version for Userpanel-password, Languages included
- [0.9-2]

* Wed Sep 21 2005  Stephen Noble <support@dungog.net>
- initial release, contains
- userdata-backup, useraccounts, forward mail, change password
- [0.9-1]

%prep
%setup

mkdir -p root/etc/e-smith/events/smeserver-userpanels-update

%build
LEXICONS=$(find root/etc/e-smith/locale/ -type f )
for lexicon in $LEXICONS root/etc/e-smith/web/functions/userpanel-{password,forwarding}
do
    /sbin/e-smith/validate-lexicon $lexicon
done

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#new installs
if [ $1 = 1 ] ; then
 globalUP=`/sbin/e-smith/db accounts get globalUP`
 if [ "x$globalUP" = "x" ]; then
     /sbin/e-smith/db accounts set globalUP userpanelglobal FirstName "global user" LastName "panel access" AdminPanels userpanel-forwarding,userpanel-password || :
 fi
fi

#upgrades (and new installs)
if [ -d /etc/e-smith/events/conf-userpanel ] ; then
   /sbin/e-smith/signal-event conf-userpanel
fi
/usr/sbin/e-smith/signal-event smanager-refresh

%postun
#uninstall
if [ $1 = 0 ] ; then
 DBS=`find /home/e-smith/db/navigation -type f -name "navigation.*"`
 for db in $DBS ; do
          /sbin/e-smith/db $db delete userpanel-password 2>/dev/null
          /sbin/e-smith/db $db delete userpanel-userbackup 2>/dev/null
          /sbin/e-smith/db $db delete userpanel-forwarding 2>/dev/null
          /sbin/e-smith/db $db delete userpanel-useraccounts   2>/dev/null
 done
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
